# $Revision: 1.60 $, $Date: 2002/06/29 13:58:53 $
Summary:	Program for efficient remote updates of files
Summary(es):	Programa para actualizar archivos remotos de forma eficiente
Summary(pl):	Program do wydajnego zdalnego uaktualniania plikw
Summary(pt_BR):	Programa para atualizar arquivos remotos de forma eficiente
Summary(ru):	     
Summary(uk):	   צ  ̦
Summary(zh_CN):	[ͨѶ]乤
Summary(zh_TW):	[]$(B6G?i(c(B
Name:		rsync
Version:	2.5.5
Release:	2
License:	GPL
Group:		Daemons
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz
Source1:	%{name}.inet
Patch0:		%{name}-config.patch
Patch1:		%{name}-man.patch
BuildRequires:	autoconf
BuildRequires:	popt-devel
URL:		http://samba.anu.edu.au/rsync/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/rsyncd

%description
rsync is a replacement for rcp that has many more features.

rsync uses the "rsync algorithm" which provides a very fast method for
bringing remote files into sync. It does this by sending just the
differences in the files across the link, without requiring that both
sets of files are present at one of the ends of the link beforehand.

A technical report describing the rsync algorithm is included with
this package.

%description -l es
rsync es un substituto ms rpido y flexible para rcp que permite la
sincronizacin de archivos o directorios, va red, de forma rpida y
eficiente, entre diferentes mquinas transfiriendo solamente las
diferencias entre estos directorios de forma compactada. No necesita
que ninguna de las mquinas tengan una copia de lo que est en la
otra. Est disponible en este paquete, una relacin tcnica
describiendo el algoritmo usado por el rsync.

%description -l pl
Rsync jest zamiennikiem programu rcp z bardziej rozbudowan skadni
polece. Program ten uywa efektywnego algorytmu "rsync" w czasie
komunikacji i transportu plikw do systemu zdalnego. Dokumentacja
techniczna nowego algorytmu zostaa rwnie doczona do pakietu.

%description -l pt_BR
O rsync  um substituto mais rpido e flexvel para o rcp permitindo
sincronizao de arquivos ou diretrios via rede de forma rpida e
eficiente entre diferentes mquinas transferindo somente as diferenas
entre estes diretrios de forma compactada. Ele no precisa que
nenhuma das mquinas tenha uma cpia do que est na outra.

Um relatrio tcnico descrevendo o algoritmo usado pelo rsync est
disponvel neste pacote.

%description -l ru
rsync -       rcp, 
        
        
     .    
,        ,   
 .

%description -l uk
rsync -    ˦  rcp,  դ 
   צ  Ӧ ֦ Φæ ̦ 
Ǧ  Ҧ   ަ  צͦ ͦ 
  Ħ.   Ӧ  ',  
    Ц ,    ۦ Φ.

%package -n rsyncd
Summary:	Files necessary to run rsync in daemon mode
Summary(pl):	Pliki niezbdne do uruchomienia rsynca w trybie serwera
Group:		Daemons
Requires:	%{name}
Requires:	rc-inetd

%description -n rsyncd
rsync is a replacement for rcp that has many more features.

rsync uses the "rsync algorithm" which provides a very fast method for
bringing remote files into sync. It does this by sending just the
differences in the files across the link, without requiring that both
sets of files are present at one of the ends of the link beforehand.

A technical report describing the rsync algorithm is included with
this package.

%description -n rsyncd -l pl
Rsync jest zamiennikiem programu rcp z bardziej rozbudowan skadni
polece. Program ten uywa efektywnego algorytmu "rsync" w czasie
komunikacji i transportu plikw do systemu zdalnego. Dokumentacja
techniczna nowego algorytmu zostaa rwnie doczona do pakietu.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/sysconfig/rc-inetd}

:> $RPM_BUILD_ROOT%{_sysconfdir}/rsyncd.conf
:> $RPM_BUILD_ROOT%{_sysconfdir}/rsyncd.secrets

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rsyncd

%post -n rsyncd
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd restart 1>&2
else
        echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun -n rsyncd
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n rsyncd
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/rsyncd.conf
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/rsyncd.secrets
%attr(640,root,root) /etc/sysconfig/rc-inetd/rsyncd
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rsync.spec,v $
Revision 1.60  2002/06/29 13:58:53  kloczek
- release 2: use new %doc.

Revision 1.59  2002/05/21 23:14:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.58  2002/04/02 08:39:31  pioklo
- bug fixes up to 2.5.5

Revision 1.57  2002/03/13 23:04:30  mmazur
- updated to 2.5.4
- somebody remind me to translate the polnischish translation into polish

Revision 1.56  2002/03/12 22:01:02  kloczek
- merge translations from KSI and Conectiva.

Revision 1.55  2002/03/12 21:46:17  fvk

- updated to 2.5.3

Revision 1.54  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/01/26 06:29:52  kloczek
- updated to 2.5.2 (security fixes - importand),
- added popt-devel to BuildRequires,
- removed outdated config patch,
- removed outdated ipv6 patch and added --enable-ipv6 to configure parameters.

Revision 1.51  2002/01/18 02:14:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.50  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.49  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.47  2001/04/20 08:42:15  kloczek
- added autoconf to BuildRequires.

Revision 1.46  2001/04/19 10:50:02  baggins
- release 5
- new ipv6 patch: now it's possible to use v6 addresses in config file
		  and on command line

Revision 1.45  2001/04/18 16:26:45  baggins
- release 4
- new ipv6 patch - fixed handling v4mapped addresses

Revision 1.44  2000/10/16 01:11:35  kloczek
- release 3: fixed path to rsync in rc-inetd servicedescription file
  (must be /usr/bin).

Revision 1.43  2000/10/04 01:20:53  kloczek
- release 2: use rpm new automation suit.

Revision 1.42  2000/09/26 17:31:54  kloczek
- adapterized.

Revision 1.41  2000/09/26 17:22:34  zagrodzki
- updated to 2.4.6

Revision 1.40  2000/09/26 14:06:49  zagrodzki
- moved back to /usr/bin - rsync is mainly a client, not a server (by
  analogy to cvs)
- release 2

Revision 1.39  2000/08/21 13:04:15  zagrodzki
- changed patch name
- adapterized

Revision 1.38  2000/08/21 13:03:23  zagrodzki
- updated to 2.4.5

Revision 1.37  2000/07/28 16:35:07  zagrodzki
- divided rsync into rsync and rsyncd packages
- rsync.inet config file for rsyncd
- release 2
- config(noreplace) for /etc/rsyncd/*

Revision 1.36  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.35  2000/05/23 15:26:39  misiek
- fix

Revision 1.34  2000/05/19 22:07:31  kloczek
- spec adapterized.

Revision 1.33  2000/05/19 21:45:42  bonkey
- upgraded to 2.4.3
- ipv6 patch turned off due to compilation errors

Revision 1.32  2000/05/02 21:23:20  baggins
- fixed version, minor cleanup

Revision 1.31  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.29  1999/12/20 21:23:47  kloczek
- release 2.

Revision 1.28  1999/12/20 12:02:42  misiek
- added new ipv6 patch

Revision 1.27  1999/11/19 18:51:04  kravietz
- added rsync-configure.patch

Revision 1.26  1999/11/19 17:01:18  kravietz
- update to 2.3.2
- KAME patch not available for this version yet; sorry, no IPv6 support

Revision 1.25  1999/09/02 12:40:20  misiek
- enabled IPv6 patch

Revision 1.24  1999/07/23 19:00:00  kloczek
- release 5.

Revision 1.23  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 17 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.3.1-4]
- FHS 2.0

* Wed Jun  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.3.1-3]
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>,
- spec rewrited by PLD team.
